<?php

App::uses('AuditLogPresenter', 'EvAuditLog.Lib');

class EvCheckoutAuditLogPresenter extends AuditLogPresenter {

	public function presentValue($audit, $auditDelta, $value) {
		switch ($auditDelta['property_name']) {
			case 'user_id':
				$value = self::_lookupValue('EvCore.User', $value);
				break;
			case 'order_status_id':
				$value = self::_lookupValue('EvCheckout.OrderStatus', $value);
				break;
			case 'currency_id':
				$value = self::_lookupValue('EvCurrency.Currency', $value);
				break;
			case 'is_paid':
			case 'is_guest_checkout':
				$value = self::_presentBoolean($value);
				break;
		}

		return $value;
	}
}
